You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@uima.apache.org by sc...@apache.org on 2011/10/13 16:17:01 UTC

svn commit: r1182867 - in /uima/uimaj/trunk/src/main/scripts: runPearInstallerCli.cmd runPearInstallerCli.sh

Author: schor
Date: Thu Oct 13 14:17:00 2011
New Revision: 1182867

URL: http://svn.apache.org/viewvc?rev=1182867&view=rev
Log:
[UIMA-2121] Add shell scripts for running command line pear installer

Added:
    uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd   (with props)
    uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh   (with props)

Added: uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd?rev=1182867&view=auto
==============================================================================
--- uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd (added)
+++ uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd Thu Oct 13 14:17:00 2011
@@ -0,0 +1,29 @@
+@echo off
+
+REM   Licensed to the Apache Software Foundation (ASF) under one
+REM   or more contributor license agreements.  See the NOTICE file
+REM   distributed with this work for additional information
+REM   regarding copyright ownership.  The ASF licenses this file
+REM   to you under the Apache License, Version 2.0 (the
+REM   "License"); you may not use this file except in compliance
+REM   with the License.  You may obtain a copy of the License at
+REM
+REM    http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM   Unless required by applicable law or agreed to in writing,
+REM   software distributed under the License is distributed on an
+REM   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+REM   KIND, either express or implied.  See the License for the
+REM   specific language governing permissions and limitations
+REM   under the License.
+
+if not defined UIMA_HOME goto USAGE_UIMA
+goto RUN
+
+:USAGE_UIMA
+echo UIMA_HOME environment variable is not set 
+goto EXIT
+
+:RUN
+@call "%UIMA_HOME%\bin\runUimaClass.bat" org.apache.uima.tools.pear.install.InstallPearCli %*
+:EXIT
\ No newline at end of file

Propchange: uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.cmd
------------------------------------------------------------------------------
    svn:eol-style = native

Added: uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh?rev=1182867&view=auto
==============================================================================
--- uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh (added)
+++ uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh Thu Oct 13 14:17:00 2011
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#   Licensed to the Apache Software Foundation (ASF) under one
+#   or more contributor license agreements.  See the NOTICE file
+#   distributed with this work for additional information
+#   regarding copyright ownership.  The ASF licenses this file
+#   to you under the Apache License, Version 2.0 (the
+#   "License"); you may not use this file except in compliance
+#   with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing,
+#   software distributed under the License is distributed on an
+#   #  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#   KIND, either express or implied.  See the License for the
+#   specific language governing permissions and limitations
+#   under the License.
+
+if [ "$UIMA_HOME" = "" ]
+then
+  echo UIMA_HOME environment variable is not set
+  exit 1
+fi
+
+"$UIMA_HOME/bin/runUimaClass.sh" org.apache.uima.tools.pear.install.InstallPearCli $@

Propchange: uima/uimaj/trunk/src/main/scripts/runPearInstallerCli.sh
------------------------------------------------------------------------------
    svn:eol-style = native